%define upstream_name    String-Print
%define upstream_version 0.94

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Printf alternative
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Date::Parse) >= 2.300.0
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(Test::More) >= 0.860.0
BuildRequires: perl(Unicode::GCString)
BuildArch:  noarch

%description
This module inserts values into (translated) strings. It provides 'printf'
and 'sprintf' alternatives via both an object oriented and a functional
interface.

Read in the the DETAILS manpage chapter below, why this module provides a
better alternative for 'printf()'. Also, some extended *examples* can be
found there. Take a look at them first, when you start using this module!

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc ChangeLog META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Mar 02 2020 tv <tv> 0.940.0-1.mga8
+ Revision: 1552840
- update to 0.94

* Wed Feb 12 2020 umeabot <umeabot> 0.930.0-3.mga8
+ Revision: 1506193
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.930.0-2.mga7
+ Revision: 1286206
- Mageia 7 Mass Rebuild

* Sun Jan 28 2018 shlomif <shlomif> 0.930.0-1.mga7
+ Revision: 1197669
- update to 0.93

* Tue Oct 03 2017 tv <tv> 0.920.0-2.mga7
+ Revision: 1166662
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.920.0-1.mga7
+ Revision: 1159467
- update to 0.92

* Sun Jun 19 2016 pterjan <pterjan> 0.150.0-5.mga6
+ Revision: 1033381
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.150.0-4.mga6
+ Revision: 947754
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.150.0-3.mga5
+ Revision: 745031
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.150.0-2.mga5
+ Revision: 686248
- Mageia 5 Mass Rebuild

* Tue Mar 25 2014 jquelin <jquelin> 0.150.0-1.mga5
+ Revision: 608427
- update to 0.15

* Thu Mar 13 2014 jquelin <jquelin> 0.140.0-1.mga5
+ Revision: 602999
- update to 0.14

* Tue Feb 04 2014 shlomif <shlomif> 0.130.0-1.mga5
+ Revision: 581238
- imported package perl-String-Print

